<?php
/**
 * paydesign_cc_preprocess header_php.php
 *
 * @package page
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: $
 */
  chdir('../');
  require('includes/application_top.php');

  global $queryCache;
  unset($queryCache);

  header("Content-type: text/plane");

  // パラメータの確認
  if (!isset($_REQUEST['SID'])     ||
      !isset($_REQUEST['FUKA'])    ||
      !isset($_REQUEST['SEQ'])     ||
      !isset($_REQUEST['DATE'])    ||
      !isset($_REQUEST['KINGAKU'])) {
      print "0";
      exit;
  }

  $sid      = $_REQUEST['SID'];
  $fuka     = $_REQUEST['FUKA'];
  $seq      = $_REQUEST['SEQ'];
  $date     = $_REQUEST['DATE'];
  $kingaku  = $_REQUEST['KINGAKU'];
  $datetime = substr($date, 0, 4)."-"
            . substr($date, 4, 2)."-"
            . substr($date, 6, 2);
  $param = Array(
    'SID'    =>$sid,
    'FUKA'   =>$fuka,
    'SEQ'    =>$seq,
    'DATE'   =>$date,
    'KINGAKU'=>$kingaku,
  );

  // 存在チェック
  if (!paydesign_is_exist($sid, $fuka, 'cv')) {
      print "0";
      exit;
  }

  // 要求レコードを更新する
  paydesign_save_response_parm($sid, 'cancel', serialize($param), $seq, $datetime);

  // 注文ステータス更新
  $comments  = "キャンセル:\n"
             . "SID:".$sid."\n"
             . "通知番号:".$seq."\n"
             . "取消し日:".$datetime;
  $status_id = MODULE_PAYMENT_PAYDESIGN_CV_CANCEL_PAYMENT_STATUS_ID;
  // キャンセルしたときはデフォルトで処理中
  if ($status_id == 0)
    $status_id = DEFAULT_ORDERS_STATUS_ID;
  paydesign_save_status($sid, $status_id, $comments, -1);

  print "0";
  exit;
?>
