<?php
 /*
  * Copyright (C) 2006 paydesign_cc INC.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Shigeo; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * $Id$
  */
//
  class paydesign extends base {

// class constructor
    function paydesign() {
      global $zco_notifier;

      $zco_notifier->attach($this, array("NOTIFY_CHECKOUT_PROCESS_BEGIN"));
      $zco_notifier->attach($this, array("NOTIFY_HEADER_START_CHECKOUT_CONFIRMATION"));
    }

    function update(&$callingClass, $notifier, $paramsArray) {
      if ($notifier == "NOTIFY_CHECKOUT_PROCESS_BEGIN")
        $this->notify_checkout_process_begin($callingClass, $notifier, $paramsArray);
      else if ($notifier == "NOTIFY_HEADER_START_CHECKOUT_CONFIRMATION")
        $this->notify_header_start_checkout_confirmation($callingClass, $notifier, $paramsArray);
    }

// for timeout
    function notify_checkout_process_begin(&$callingClass, $notifier, $paramsArray) {
      // セッションが存在する場合は無処理
      if ($_SESSION['customer_id'])
        return;

      // セッションがタイムアウトした
      // パラメータの確認
      if (!isset($_REQUEST['SID'])  ||
          !isset($_REQUEST['FUKA']))
        return;

      // 存在チェック
      $sid  = $_REQUEST['SID'];
      $fuka = $_REQUEST['FUKA'];
      if (!paydesign_is_exist($sid, $fuka))
        return;

      // 状態チェック
      // タイムアウトしたが、既に精算済みか？
      if (paydesign_get_status($sid, $fuka, 'cc') == 'success') {
        $customers_id = paydesign_get_customers_id($sid, $fuka);
        require_once "includes/languages/".$_SESSION['language']."/modules/payment/paydesign_cc.php";
        $email_timeout = sprintf(MODULE_PAYMENT_PAYDESIGN_CC_MAIL_TIMEOUT, $customers_id, $sid);
        zen_mail('',
                 STORE_OWNER_EMAIL_ADDRESS,
                 MODULE_PAYMENT_PAYDESIGN_CC_TEXT_TIMEOUT,
                 $email_timeout,
                 STORE_NAME,
                 EMAIL_FROM,
                 $email_timeout,
                 'paydesign cc');
      }
    }

    // カード情報削除等
    function notify_header_start_checkout_confirmation(&$callingClass, $notifier, $paramsArray) {
      // カード情報削除
      if ($_REQUEST['cc_action'] == 'cc_user_erase') {
        if ($_SESSION['customer_id'] == 0)
          return;

        paydesign_erase_cc_user_id($_SESSION['customer_id']);
        zen_redirect(zen_href_link(FILENAME_CHECKOUT_PAYMENT));
      }

      // カード情報使用する、保存する、しない
      $_SESSION['cc_user_regist'] = $_REQUEST['cc_user_regist'];
//      $cc_userid = paydesign_get_cc_user_id($_SESSION['customer_id']);
//      if ($cc_userid == "")
//        $_SESSION['cc_user_regist'] = "1";
    }
  }
?>
